package ExemplesJDBC.GererPrets;
import java.util.*;
public class Utilisateur extends Personne {
    protected String idUtilisateur;
    protected String motPasse;
    protected String catgorie;
    protected Vector lesPrts; // Association avec Prt

    // Constructeurs pour Utilisateur
    public Utilisateur(String idUtilisateur){
        this.idUtilisateur = idUtilisateur;
    }
    public Utilisateur(String idUtilisateur, String motPasse, String nom,
        String prnom, String catgorie){
        super(nom,prnom);
        this.idUtilisateur = idUtilisateur;
        this.motPasse = motPasse;
        this.catgorie =  catgorie;
    }
    
    public String getIdUtilisateur(){return idUtilisateur;}
    public String getMotPasse(){return motPasse;}
    public String getCatgorie(){return catgorie;}
    public Vector getLesPrts(){return lesPrts;}
    public int getNbPrtsEnCours(){
        Enumeration enumerationPrts = lesPrts.elements();
        int nbPrtsEnCours = 0;
        while (enumerationPrts.hasMoreElements()){
            Prt unPrt = (Prt)enumerationPrts.nextElement();
            if (unPrt instanceof PrtEnCours){
                nbPrtsEnCours++;
            }
        }
        return nbPrtsEnCours;
    }
    
    public void setIdUtilisateur(String idUtilisateur){this.idUtilisateur = idUtilisateur;}
    public void setMotPasse(String motPasse){this.motPasse = motPasse;}
    public void setCatgorie(String catgorie){this.catgorie = catgorie;}
    public void setLesPrts(Vector lesPrts){this.lesPrts = lesPrts;}
}